Index: /branches/tracy3-3.10.1b/tracy/tracy/src/t2elem.cc
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/src/t2elem.cc	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/src/t2elem.cc	(revision 23)
@@ -3457,8 +2951,4 @@
     d_2 = 1e0 - 2e0 * d_1;
 
-    
-    
-    
-    
     // classical radiation
     //  C_gamma = 8.846056192e-05;
@@ -3853,6 +3343,4 @@
     M->PTx1 = 0.0; /* Entrance angle */
     M->PTx2 = 0.0; /* Exit angle */
-    M->PH1 = 0.0; /* Entrance pole face curvature*/
-    M->PH2 = 0.0; /* Exit pole face curvature */
     M->Pgap = 0.0; /* Gap for fringe field ??? */
 
Index: /branches/tracy3-3.10.1b/tracy/tracy/src/t2lat.cc
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/src/t2lat.cc	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/src/t2lat.cc	(revision 23)
@@ -44,5 +44,5 @@
   leq, pwrsym, lss, geo, gtr, period_, charcon, stringcon, ident, geq, lsym,
   bobrhosym, bobrhovsym, bobrhohsym, kxvsym, kxhsym, phisym, ksym,
-  tsym, t1sym, t2sym,h1sym,h2sym,
+  tsym, t1sym, t2sym,
   gapsym, thksym, invsym, thnsym,
   endsym, tsksym, bemsym, corsym, prnsym, tblsym, possym, prmsym,
@@ -51,10 +51,9 @@
   nbdsym, frgsym, latsym, mpsym, dbnsym, kssym, homsym, lmdsym, dtsym, xytsym,
   vrfsym, harnumsym, frqsym, gstsym, typsym, rollsym, idsym,
-  fnamesym1, fnamesym2, scalingsym1, scalingsym2, fmsym, harmsym, sprsym, recsym, solsym,edge_effect1sym,edge_effect2sym,
+  fnamesym1, fnamesym2, scalingsym1, scalingsym2, fmsym, harmsym, sprsym, recsym, solsym,
   ff1sym, ff2sym, ffscalingsym, tiltsym
 } Lat_symbol;   /*\*/
 // idsym fnamesym1 fnamesym2 scalingsym added for insertion
 // ring sym added
-  //edge_effect1sym, edge_effect2sym added, to turn on/off the edge effect of dipoles @ 05/10/2012 by Jianfeng Zhang
 // ff1sym ff2sym for quadrupole entrance and exit fringe field
 // ffscalingsym scaling factor for entrance and exit fringe field.  /*J.Zhang
@@ -658,8 +657,4 @@
       if (!strncmp(id, "t              ", sizeof(alfa_)))
 	*sym = tsym;
-      else if (!strncmp(id, "h1            ", sizeof(alfa_)))
-	*sym = h1sym;
-      else if (!strncmp(id, "h2            ", sizeof(alfa_)))
-	*sym = h2sym;
       else if (!strncmp(id, "gap            ", sizeof(alfa_)))
 	*sym = gapsym;
@@ -1059,8 +1054,4 @@
 	else if (!strncmp(fname, "t2             ", sizeof(partsName)))
 	  x = WITH1->PTx2;
-	else if (!strncmp(fname, "h1            ", sizeof(partsName)))
-	  x = WITH1->PH1;
-	else if (!strncmp(fname, "h2            ", sizeof(partsName)))
-	  x = WITH1->PH2;
 	else if (!strncmp(fname, "gap            ", sizeof(partsName)))
 	  x = WITH1->Pgap;
@@ -2026,15 +2017,11 @@
   struct LOC_Lat_DealElement V;
   bool           Result = false;
-  double         t=0.0, t1=0.0, t2=0.0, h1=0,h2=0,gap=0.0, QL = 0.0, QK=0.0;
-  double         QKick=0.0;  /* kick angle of the corrector [rad]*/
-  int            Kplane=0; /* kick plane of the corrector, 1 for H plane, -1 for V plane*/
-  double         QKV=0.0, QKH=0.0, QKxV=0.0, QKxH=0.0, QPhi=0.0, QKS=0.0;
-  double         dt=0.0, Frf=0.0, Vrf=0.0;
-  long            harnum=0L;
-  int            k1=1; //number of cut slice of the element
-  int            k2=4; //integration method; Meth_Linear=0, Meth_First=1,Meth_Second=2,Meth_Fourth=4
-  int            edge_effect1=0,edge_effect2=0; //flag to turn on/off dipole fringe field
-  int            FF1=0, FF2=0;
-  double         FFscaling=0.0;
+  double         t, t1, t2, gap, QL = 0.0, QK;
+  double         QKick;  /* kick angle of the corrector [rad]*/
+  int            Kplane; /* kick plane of the corrector, 1 for H plane, -1 for V plane*/
+  double         QKV, QKH, QKxV, QKxH, QPhi, QKS;
+  double         dt, Frf, Vrf;
+  long k1, k2, harnum, FF1, FF2;
+  double FFscaling;
   Lat_symbol     sym1;
   symset         mysys, SET;
@@ -2089,5 +2076,4 @@
     test__(P_expset(SET, 1 << ((long)semicolon)), "<;> expected", &V);
     GetSym__(&V);
-    QL = *V.rnum; 
     globval.Elem_nFam++;
     if (globval.Elem_nFam <= Elem_nFamMax) {
@@ -2095,6 +2081,5 @@
       WITH1 = &WITH->ElemF;
       memcpy(WITH1->PName, ElementName, sizeof(partsName));
-   //   WITH1->PL = *V.rnum;
-       WITH1->PL = QL;
+      WITH1->PL = *V.rnum;
       WITH1->Pkind = PartsKind(drift);
       Drift_Alloc(&WITH->ElemF);
@@ -2116,8 +2101,4 @@
             T2     = <exit angle>, ( [degree] )
             gap    = <total magnet gap>, ( [m] )
-   edge_effect1    = 1/0, turn on/ff the entrance edge effect, 
-                     and fringe field (if gap != 0)
-   edge_effect2    = 1/0, turn on/ff the exit edge effect, 
-                     and fringe field (if gap != 0)
             K      = <K-value>, ( [m^-2] )
                      ( K > 0 : focusing in horizontal plane )
@@ -2135,5 +2116,5 @@
     Example
 
-      B: bending, L=0.70, T=10.0, T1:=5.0, T2:=5.0, H1=0, H2=0, gap=0.03, edge_effect1=1, edge_effect2=1, K=-1.0, N=8, Method=2;
+      B: bending, L=0.70, T=10.0, T1:=5.0, T2:=5.0, K=-1.0, N=8, Method=2;
 
     *************************************************************************/
@@ -2143,14 +2124,10 @@
     QL = 0.0;   /* L */
     QK = 0.0;   /* K, quadrupole components*/
-    k1 = 1;   /* N */
+    k1 = 0;   /* N */
     t  = 0.0;   /* T */
     t1 = 0.0;   /* T1 */
     t2 = 0.0;   /* T2 */
-    h1 = 0.0;
-    h2 = 0.0;
     gap = 0.0;   /* gap */
-    edge_effect1 = 0; /* edge_effect effect at the entrance */ 
-    edge_effect2 = 0; /* edge effect at the exit */ 
-    k2 = Meth_Fourth;   /* method */
+    k2 = Meth_Linear;   /* method */
     dt = 0.0;
     ClearHOMandDBN(&V);
@@ -2163,9 +2140,5 @@
     P_addset(mysys, (long)t1sym);
     P_addset(mysys, (long)t2sym);
-    P_addset(mysys, (long)h1sym);
-    P_addset(mysys, (long)h2sym);
     P_addset(mysys, (long)gapsym);
-    P_addset(mysys, (long)edge_effect1sym);
-    P_addset(mysys, (long)edge_effect2sym);
     P_addset(mysys, (long)homsym);
     P_addset(mysys, (long)dbnsym);
@@ -2205,22 +2178,6 @@
 	break;
 
-	case h1sym:
-	h1 = EVAL_(&V);
-	break;
-
-      case h2sym:
-	h2 = EVAL_(&V);
-	break;
-	
       case gapsym:
 	gap = EVAL_(&V);
-	break;
-
-      case edge_effect1sym:
-	edge_effect1 = (long)EVAL_(&V);
-	break;
-
-      case edge_effect2sym:
-	edge_effect2 = (long)EVAL_(&V);
 	break;
 
@@ -2266,9 +2223,5 @@
       else
 	WITH2->Pirho = t * M_PI / 180.0;
-      WITH2->PTx1 = t1; WITH2->PTx2 = t2; //entrance and exit angle of the dipoles (relative to rectangular magnets)
-      WITH2->PH1 = h1; WITH2->PH2 = h2; //entrance and exit angle of the dipoles
-      WITH2->Pgap = gap;
-      WITH2->dipEdge_effect1 = edge_effect1;//edge_effect effect at the entrance
-      WITH2->dipEdge_effect2 = edge_effect2;//edge effect at the exit
+      WITH2->PTx1 = t1; WITH2->PTx2 = t2; WITH2->Pgap = gap;
       WITH2->n_design = Dip;
       AssignHOM(globval.Elem_nFam, &V);
@@ -2302,5 +2255,5 @@
 
       Q1: Quadrupole, L=0.5, K=2.213455, N=4, Method=4;
-      Q1 : Quadrupole, L=0.5, K=2.213455, N=4, FF1 =1, FF2=0, FFscaling=1, Method=4;
+      Q1 : Quadrupole, L=0.5, K=2.213455, N=4, FF1 =1, FF2, FFscaling=1, Method=4;
 
     **************************************************************/
@@ -2310,5 +2263,5 @@
     QL = 0.0;   /* L */
     QK = 0.0;   /* K */
-    k1 = 1;   /* N */
+    k1 = 0;   /* N */
     k2 = Meth_Fourth;   /* method */
     dt = 0.0;
@@ -2438,5 +2391,5 @@
     QL = 0.0;   /* L */
     QK = 0.0;   /* K */
-    k1 = 1;   /* N */
+    k1 = 0;   /* N */
     k2 = Meth_Fourth;   /* method */
     FF1 = 0;     /* Entrance Fringe field */
@@ -2653,5 +2606,5 @@
     QKick = 0.0; /* kick angle of the corrector [rad]*/
     Kplane = 0;   /* 1 is horizontal corrector, -1 is vertical corrector */
-    k1 = 1;     /* N */
+    k1 = 0;     /* N */
     k2 = Meth_Linear;   /* method */
     dt = 0.0;
@@ -2931,12 +2884,10 @@
     QL = 0.0;   /* L */
     QK = 0.0;   /* K */
-    k1 = 1;   /* N */
+    k1 = 0;   /* N */
     t = 0.0;   /* T */
     t1 = 0.0;   /* T1 */
     t2 = 0.0;   /* T2 */
-    h1 = 0.0;
-    h2 = 0.0;
     gap = 0.0;   /* gap */
-    k2 = Meth_Fourth;   /* method */
+    k2 = Meth_Linear;   /* method */
     dt = 0.0;
     ClearHOMandDBN(&V);
@@ -2947,6 +2898,4 @@
     P_addset(mysys, (long)t1sym);
     P_addset(mysys, (long)t2sym);
-    P_addset(mysys, (long)h1sym);
-    P_addset(mysys, (long)h2sym);
     P_addset(mysys, (long)gapsym);
     P_addset(mysys, (long)rollsym);
@@ -2983,12 +2932,4 @@
 	break;
 
-      case h1sym:
-	h1 = EVAL_(&V);
-	break;
-
-      case h2sym:
-	h2 = EVAL_(&V);
-	break;
-	
       case gapsym:
 	gap = EVAL_(&V);
@@ -3038,7 +2979,5 @@
       }
       WITH2->PN = k1; WITH2->Pmethod = k2;
-      WITH2->PTx1 = t1; WITH2->PTx2 = t2;
-      WITH2->PH1 = h1; WITH2->PH2 = h2;
-      WITH2->Pgap = gap;
+      WITH2->PTx1 = t1; WITH2->PTx2 = t2; WITH2->Pgap = gap;
       WITH2->PdTpar = dt;
       AssignHOM(globval.Elem_nFam, &V);
@@ -3083,15 +3022,6 @@
     getest__(P_expset(SET, 1 << ((long)comma)), "<, > expected", &V);
     GetSym__(&V);
-    QL = 0e0;
-    QK = 0e0; 
-    QKV = 0e0; 
-    QKH = 0e0; 
-    QKxV = 0e0; 
-    QKxH = 0e0;
-    QPhi = 0e0; 
-    QKS = 0e0; 
-    k1 = 1; 
-    k2 = Meth_Fourth; 
-    dt = 0e0;
+    QL = 0e0; QK = 0e0; QKV = 0e0; QKH = 0e0; QKxV = 0e0; QKxH = 0e0;
+    QPhi = 0e0; QKS = 0e0; k1 = 0; k2 = Meth_Linear; dt = 0e0;
     ClearHOMandDBN(&V);
     P_addset(P_expset(mysys, 0), (long)lsym);
@@ -3219,8 +3149,5 @@
     getest__(P_expset(SET, 1 << ((long)comma)), "<, > expected", &V);
     GetSym__(&V);
-    QL = 0.0; 
-    k1 = 1; 
-    strcpy(str1, ""); 
-    strcpy(str2, "");
+    QL = 0.0; k1 = 0; strcpy(str1, ""); strcpy(str2, "");
     P_addset(P_expset(mysys, 0), (long)lsym);
     P_addset(mysys, (long)nsym);
@@ -3572,5 +3499,5 @@
     QL = 0.0; /* L */
     QK = 0.0; /* K */
-    k1 = 1;   /* N */
+    k1 = 0;   /* N */
     P_addset(P_expset(mysys, 0), (long)lsym);
     P_addset(mysys, (long)bobrhosym);
@@ -3731,6 +3658,4 @@
   Reg("drift          ", drfsym, &V);
   Reg("dt             ", dtsym, &V);
-  Reg("edge_effect1   ", edge_effect1sym, &V);     /* Jianfeng Zhang*/
-  Reg("edge_effect2   ", edge_effect2sym, &V);     /* Jianfeng Zhang */
   Reg("end            ", endsym, &V);
   Reg("ff1            ", ff1sym, &V);     /* Laurent */
@@ -3746,6 +3671,4 @@
   Reg("gap            ", gapsym, &V);
   Reg("ghost          ", gstsym, &V);
-  Reg("h1             ", h1sym, &V);
-  Reg("h2             ", h2sym, &V);
   Reg("harm           ", harmsym, &V);
   Reg("harnum         ", harnumsym, &V);
Index: /branches/tracy3-3.10.1b/tracy/tracy/src/tpsa_lin.cc
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/src/tpsa_lin.cc	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/src/tpsa_lin.cc	(revision 23)
@@ -414,7 +414,5 @@
 }
 
-/****************************
- * tan(x)
- * *************************/
+
 void datan(const tps_buf &x, tps_buf &z)
 {
@@ -424,88 +422,9 @@
 }
 
-/*************************
- *  cotan(x)
- * ***********************/
-void dactan(const tps_buf &x, tps_buf &z)
-{
-  tps_buf  c, s;
-
-  dacos(x, c); dasin(x, s); dadiv_(c, s, z);
-}
-
-/*************************************
- * 
- * Purpose:
- *     Get the derivatives of the arcsin(x)
- *    
- *    d(arcsin(u))/dx = (1/sqrt(1-u^2))*du/dx;
- * 
- *  Input:
- *         x: u
- *  Output: 
- *        z: the differential of x.
- *
- *       
- * Comments:
- *           13/11/2012
- *          Written by Jianfeng Nadolski @ LAL 
- *                      
- * ***********************************/
-void daarcsin(const tps_buf &x, tps_buf &z)
-{
-  int     i;
-  double  a;  //differential of x; a = sqrt(1/1-u^2)
-
-  a = x[0]; z[0] = asin(a); a = 1.0/sqrt(1.0-sqr(a));
-  for (i = 1; i <= ss_dim; i++)
-    z[i] = a*x[i];
-}
-
-/*************************************
- * 
- * Purpose:
- *     Get the derivatives of the arccos(x)
- *    
- *    d(arccos(u))/dx = -(1/sqrt(1-u^2))*du/dx;
- * 
- *  Input:
- *         x: u
- *  Output: 
- *        z: the differential of x.
- *
- *       
- * Comments:
- *           13/11/2012
- *          Written by Jianfeng Nadolski @ LAL 
- *                      
- * ***********************************/
-void daarccos(const tps_buf &x, tps_buf &z)
-{
-int     i;
-  double  a;  //differential of x; a = -sqrt(1/1-u^2)
-
-  a = x[0]; z[0] = asin(a); a = -1.0/sqrt(1.0-sqr(a));
-  for (i = 1; i <= ss_dim; i++)
-    z[i] = a*x[i];
-  
-}
-/*************************************
- * 
- * Purpose:
- *     Get the derivatives of the arctan(x)
- *    
- *    d(arctan(u))/dx = (1/1+u^2)*du/dx;
- * 
- *  Input:
- *         x: u
- *  Output: 
- *        z: the differential of x.
- *
- *         
- * ***********************************/
+
 void daarctan(const tps_buf &x, tps_buf &z)
 {
   int     i;
-  double  a;  //differential of x; a = (1/1+u^2)
+  double  a;
 
   a = x[0]; z[0] = atan(a); a = 1.0/(1.0+sqr(a));
@@ -514,32 +433,9 @@
 }
 
-/*************************************
- * 
- * Purpose:
- *     Get the derivatives of the arcctan(x)
- *    
- *    d(arcctan(u))/dx = -(1/1+u^2)*du/dx;
- * 
- *  Input:
- *         x: u
- *  Output: 
- *        z: the differential of x.
- *
- *         
- * ***********************************/
-void daarcctan(const tps_buf &x, tps_buf &z)
-{
-  int     i;
-  double  a;  //differential of x; a = -(1/1+u^2)
-
-  a = x[0]; z[0] = atan(a); a = -1.0/(1.0+sqr(a));
-  for (i = 1; i <= ss_dim; i++)
-    z[i] = a*x[i];
-}
 
 void dafun_(const char *fun, const tps_buf &x, tps_buf &z)
 {
   tps_buf  u;
-  
+
   if (!strncmp(fun, "INV ", dafunlen))
     dainv_(x, u);
@@ -554,20 +450,12 @@
   else if (!strncmp(fun, "COS ", dafunlen))
     dacos(x, u);
-  else if (!strncmp(fun, "TAN ", dafunlen))
-    datan(x, u);
-  else if (!strncmp(fun, "CTAN ", dafunlen))
-    dactan(x, u);
   else if (!strncmp(fun, "SINH ", dafunlen))
     dasinh(x, u);
   else if (!strncmp(fun, "COSH ", dafunlen))
     dacosh(x, u);
-  else if (!strncmp(fun, "ASIN", dafunlen))
-    daarcsin(x, u);
-  else if (!strncmp(fun, "ACOS", dafunlen))
-    daarccos(x, u);
+  else if (!strncmp(fun, "TAN ", dafunlen))
+    datan(x, u);
   else if (!strncmp(fun, "ATAN", dafunlen))
     daarctan(x, u);
-  else if (!strncmp(fun, "ACTAN", dafunlen))
-    daarcctan(x, u);
   else {
     printf("dafun: illegal function %s\n", fun);
Index: /branches/tracy3-3.10.1b/tracy/tracy/src/tracy.cc
===================================================================
--- /branches/tracy3-3.10.1b/tracy/tracy/src/tracy.cc	(revision 22)
+++ /branches/tracy3-3.10.1b/tracy/tracy/src/tracy.cc	(revision 23)
@@ -97,8 +97,4 @@
 template void radiate(ss_vect<tps> &, const double, const double, const tps[]);
 
-template void Drift(double, double, ss_vect<double> &);
-
-template void Drift(double, double, ss_vect<tps> &);
-
 template void Drift(double, ss_vect<double> &);
 
@@ -109,15 +105,7 @@
 template void bend_fringe(double, ss_vect<tps> &);
 
-template void bend_fringe(double, double, ss_vect<double> &);
-
-template void bend_fringe(double, double, ss_vect<tps> &);
-
-template static void BendCurvature(double, double, ss_vect<double> &);
-
-template static void BendCurvature(double, double, ss_vect<tps> &);
-
-template static void EdgeFocus(double, double, double, ss_vect<double> &, bool);
-
-template static void EdgeFocus(double, double, double, ss_vect<tps> &,bool);
+template static void EdgeFocus(double, double, double, ss_vect<double> &);
+
+template static void EdgeFocus(double, double, double, ss_vect<tps> &);
 
 template void quad_fringe(double, ss_vect<double> &);
@@ -128,10 +116,4 @@
 
 template void Drift_Pass(CellType &, ss_vect<tps> &);
-
-
-template void dipole_kick(double, double, double, ss_vect<double> &);
-template void dipole_kick(double, double, double, ss_vect<tps> &);
-template void multipole_kick(int, double[], double, double, ss_vect<double> &);
-template void multipole_kick(int, double[], double, double, ss_vect<tps> &);
 
 template void thin_kick(int, double[], double, double, double,
